> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SalesOrder InvoiceUrl And Asn.



## OpenAPI

````yaml /api-reference/openapi.json patch /openapi/v1/SalesOrders/UpdateSalesOrderInvoiceUrlAndAsn
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/SalesOrders/UpdateSalesOrderInvoiceUrlAndAsn:
    patch:
      tags:
        - SalesOrders
      summary: Update SalesOrder InvoiceUrl And Asn.
      parameters:
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/UpdateSalesOrderInvoiceUrlAndAsnCommand'
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSalesOrderInvoiceUrlAndAsnCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateSalesOrderInvoiceUrlAndAsnCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateSalesOrderInvoiceUrlAndAsnCommand'
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateSalesOrderInvoiceUrlAndAsnCommand:
      type: object
      properties:
        packageReferenceNumber:
          type: string
        shippingAddressFullName:
          type: string
        shippingAddressPhone:
          type: string
        shippingAddressEmail:
          type: string
        shippingAddressCity:
          type: string
        shippingAddressDistrict:
          type: string
        shippingAddressFullAddress:
          type: string
        deliveryType:
          $ref: '#/components/schemas/CargoType'
        invoiceUrl:
          type: string
        asn:
          type: string
      additionalProperties: false
      required:
        - invoiceUrl
        - packageReferenceNumber
    CargoType:
      enum:
        - RegularDelivery
        - SameDayDelivery
        - ScheduledDelivery
        - ManualDelivery
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````